%define	name	valgrind-plugins
%define version 1.1
%define release 1mdk


%define name_plugins_callgrind callgrind
%define plugins_version_callgrind 0.9.11

Summary: 	Plugins for Valgrind, an open-source memory debugger for x86-linux
Name: 		%{name}
Version:	%{version}
Release:	%{release}

Source0:	%name_plugins_callgrind-%plugins_version_callgrind.tar.bz2

License: 	GPL
Group: 		Development/Other
URL: 		http://valgrind.kde.org/
BuildRequires:	glibc-static-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch:	%{ix86}
BuildRequires:	valgrind
Requires:	valgrind

%description
Plugins for valgrind

%prep
%setup -q -c -n %{name}
%setup -q -T -D -c -a 0 -n %{name} 


%build


(
cd $RPM_BUILD_DIR/%name/%name_plugins_callgrind-%plugins_version_callgrind/
%configure
%make
)


%install
rm -rf $RPM_BUILD_ROOT
export DONT_STRIP=1


(
cd $RPM_BUILD_DIR/%name/%name_plugins_callgrind-%plugins_version_callgrind/
%makeinstall
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/*
%dir %_includedir/valgrind/
%_includedir/valgrind/callgrind.h
%dir %_libdir/valgrind/
%_libdir/valgrind/*.so
%dir %_docdir/valgrind/
%doc %_docdir/valgrind/*.html   


%changelog
* Mon May 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1-1mdk
- 0.9.11 ( support fr Valgrind 2.4 )

* Wed Jan 19 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- Initial package

